#!/bin/sh
ROOT=$(pwd)
if [ -z $scriptdir ]; then
	export scriptdir=$ROOT/usr/conf
	export PATH=/sbin:/usr/sbin:/bin
fi
allowable_files=$ROOT/usr/conf/files-crc
list_files=$ROOT/tmp/list
excl_files=$ROOT/usr/conf/files-untouchable
backup_dir=$ROOT/tmp/etc-old
default_conf=$ROOT/usr/conf/default-config.tar.gz

## create list of existing files
cd $ROOT
rm -f $list_files
find -maxdepth 1 -type f | cut -c 3- >> $list_files
find -maxdepth 1 -type l | cut -c 3- >> $list_files
find bin etc lib sbin usr -type f | grep -vf $excl_files >> $list_files
find bin etc lib sbin usr -type l | grep -vf $excl_files >> $list_files

# check and rm extra files
for filename in `cat $list_files`
do
    count=0
    for allowable_filename in `cut -d ' ' -f3 $allowable_files`
    do
        if [ $filename == $allowable_filename ]; then count=1; fi
    done 
    if [ $count -eq 0 ]; then
		echo Removing obsolete $filename
		rm $filename
	fi
done
rm -f $list_files

## backup /etc
rm -rf $backup_dir
mkdir -p $backup_dir
mv $ROOT/etc/* $backup_dir

## extract new etc
tar -xzf $default_conf -C $ROOT/etc

$scriptdir/migrate_conf.sh $backup_dir $ROOT/etc $1
#rm -rf $backup_dir